in vec2 texCoord;

uniform sampler2DMS colorMap;

uniform vec4 glColor;

uniform int sampleCount;


void main (void)
{
    vec4 color = vec4(0.0);
    ivec2 texCoord_ = texCoord;
    for (int i = 0; i < sampleCount; ++i)
        color += texelFetch(colorMap, texCoord_, i);
    color /= float(sampleCount);

	gl_FragColor = color;
}
